# List a page's public links

`GET /v1/documents/{documentId}/share-links`

Scope: `docs:read`.

## Request

```bash
curl "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/share-links" \
  -H "Authorization: Bearer $LYDIE_TOKEN"
```

## Path parameters

- `documentId` (ULID, required)

## Response

- `shareLinks` (ShareLink[], required)
  - `id` (string, required): (1–64 chars)
  - `documentId` (string, required)
  - `tokenHint` (string, required)
  - `includeSubpages` (boolean, required)
  - `expiresAt` (timestamp, required, nullable)
  - `hasPassword` (boolean, required)
  - `createdBy` (string, required, nullable)
  - `createdAt` (timestamp, required)

```json
{
  "shareLinks": [
    {
      "id": "string",
      "documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
      "tokenHint": "string",
      "includeSubpages": false,
      "expiresAt": null,
      "hasPassword": false,
      "createdBy": null,
      "createdAt": "2026-11-12T09:30:00.000Z"
    }
  ]
}
```

Errors use the envelope described at https://developers.lydie.co/errors.md.
